DO $$
DECLARE _path character varying(256) = 'patch-2025_10_29-AuthConfigurations';
BEGIN
        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path" = _path) THEN
                RETURN;
        END IF;

        IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= 15552) THEN
            RETURN;
        END IF;

        BEGIN
                CREATE TABLE IF NOT EXISTS public."AuthConfigurations"
                (
                    "Id" bigserial PRIMARY KEY,
                    "Type" integer NOT NULL,
                    "Json" text NOT NULL,
                    "Pfx" bytea NULL,
                    "PfxPassword" text NULL,
                    "IsActive" boolean NOT NULL DEFAULT false,
                    "Timestamp" timestamp without time zone NOT NULL DEFAULT timezone('utc'::text, now())
                );

                INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
        EXCEPTION
                WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2025_10_30-AuthConfigurations: %', SQLERRM;
        END;
END;
$$;